/*

 UNLu
 Departamento de Ciencias Basicas
 Division Estadistica y Sistemas
 Licenciatura en Sistemas de Informacion
 11411 Base de Datos
 Lic. Guillermo Cherencio

 Trabajo Practico I "Listado Especifico - Listado Generico"
 Ejercicio I
 Implementacion de archivo relativo usando compilador GNU C/C++ GCC for Windows (cygwin)

 Libreria basica para manejo de archivo relativo simple (sin hashing)

*/

#define REL_LIBRE   '0'
#define REL_OCUPADO '1'

typedef struct {
   char *filename;
   int reglen;
   int maxreg;
   FILE *fp;
   char *buffer;
} rel_fd;

// Prototipo de funciones

rel_fd *rel_decl(const char *filename,const int maxreg,const int reglen);
int rel_init(rel_fd *);
int rel_finit(rel_fd *);
int rel_crear(rel_fd *);
int rel_leer(const rel_fd *f,const int reg);
int rel_grabar(const rel_fd *f,const int reg);
int rel_apuntar(const rel_fd *f,const int reg);
long rel_tamanio(const rel_fd *f);
int rel_cantidadreg(const rel_fd *f);
int rel_limpiar(rel_fd *f);
int rel_nuevobuffer(rel_fd *f);
