/*
Programacion I 2008 Primer Parcial
Programa: p13.c
Autor: G. Cherencio
Usando el programa p12.c transforme el ingreso por teclado de un numero double
mayor que cero en una funcion.  Dicha funcion no recibe ningun argumento y devuelve
siempre un numero double mayor que cero ingresado por teclado.
La funcion se llamara ingresoMayorQueCero()

*/
#include <stdio.h>

// <<PROTOTIPO funcion calculo>>
double calculo(double);
// <<PROTOTIPO funcion ingresoMayorQueCero>>
double ingresoMayorQueCero();

int main(void) {
   printf("Ingrese un valor mayor que cero: ");
   printf("Nuevo Valor: %lf\n",calculo(ingresoMayorQueCero()));
   return 0;
}

// <<IMPLEMENTACION funcion calculo>>
double calculo(double v) {
   double multi[3];
   multi[0] = 1.0;
   multi[1] = 2.0;
   multi[2] = 3.0;
   int i;
   double valort = 0.0;
   for(i=0;i<3;i++) {
      valort += (multi[i] * v);
   }
   return valort;
}

// <<IMPLEMENTACION funcion ingresoMayorQueCero>>
double ingresoMayorQueCero() {
   double valor = 0.0;
   unsigned short int valorMayorQueCero = 0;
   for(;!valorMayorQueCero;) {
      scanf("%lf",&valor);
      valorMayorQueCero = (valor > 0.0);
   }
   return valor;
}
